:root{
    --firstpag-color: #000000b7;
    --canvas-color: #ffffffe7;
    --fill-color:#fcfcfc;
    --border-color:#7a7a7a;
}

#firstpag{
    z-index: 0;
}

#welcome{
    height: 100%;
    position: relative;
    display: flex;
    flex-direction: column;
    text-align: center;
    width: 100%;
    z-index: 99 !important;
}

.welcometext{
    padding: 25vh;
    user-select: none;
    color: var(--firstpag-color);
    transition: color .6s ease-in-out;
}

.welcometext>h1{
    font-family: "Ma Shan Zheng", cursive;
    font-weight: 400;
    font-style: normal;
    letter-spacing:27px;
    font-size: clamp(22px, 4vw, 70px);
}

.welcometext>h3{
    letter-spacing:clamp(10px, 1vw, 22px);
    padding: 1vh 0;
    font-size: clamp(15px, 1vw, 30px);
}

.trtext{
    top: 10%;
    font-size: 1.1vw;
    letter-spacing: 0.8vw;
}

.trbox{
    display: flex;
    justify-content: space-between;
    margin: 7vh 14%;
}



.trboxcard {
    position: relative;
    display: inline-block;
    width: 20%;
    height: 25vh;
    border: 2px solid var(--text-color);
    padding: 3% 0;
    margin: 0 1% 4vh 1%;
    background-color: var(--fill-color);
    box-shadow: 2px 2px 5px var(--border-color);
    transition: width .6s ease-in-out;
    background-size: cover;
    background-repeat: no-repeat;
    overflow: hidden;
}

.trboxcard::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    transition: background-color 0.3s ease;
    z-index: 1;
}

.trboxcard h3,
.trboxcard .borderbotm,
.trboxcard p,
.trboxcard a {
    position: relative;
    z-index: 2;
}

.trboxcard>h3{
    font-size: 1.7vh;
}

.borderbotm{
    border-bottom: 2px dashed var(--text-color);
    margin: 10px 10%;
}

.trboxcard>p{
    padding: 3vh 0;
}

.trboxcard>a{
    display: none;
}

.trboxcard.active::before {
    background-color: var(--canvas-color);
    z-index: 1;
}

.trboxcard.active {
    width: 40%;
}

.trboxcard.active:hover {
    transition: box-shadow .3s ease;
    box-shadow: 6px 6px 10px var(--border-color);
    transition: width .6s ease-in-out;
}

.trboxcard>ul{
    opacity: 0;
}

.trboxcard.active>p{
    opacity: 0;
}

.trboxcard.active>ul{
    opacity: 1;
    text-align: left;
    margin-top: -6vh;
}

.trboxcard.active>ul>li{
    display: block;
    margin: 3% 0 10% 3%;
}

/*矮屏*/
@media screen and (max-width: 980px) {
    .welcometext{
        padding: 28vh 0 0 0 ;
    }

    .welcometext>h1{
        margin-bottom: 4vh;
        letter-spacing:10px;
        font-size: clamp(22px, 8vw, 70px);
    }
    
    .welcometext>h3{
        letter-spacing:clamp(10px, 1vw, 22px);
        padding: 1vh 0;
        font-size: clamp(10px, 1vw, 30px);
    }
}